/* css variables */
:root {
    --main: #7511f6;
    --secondary: #FFFFFF;
}

/* bootstrap margin and padding resets */
.container-fluid {
    margin: 0;
    padding: 0;
}

.container {
    padding: 0;
    margin: 0;
}

.row {
    padding: 0;
    margin: 0;
}

.col {
    padding: 0;
    margin: 0;
}

/* fade in classes */
.card, .contact-div, .jumbotron-text, .jumbotron-button {
    opacity: 0;
    transform: translate(0, 20px); 
    transition: all 1.5s;
}

.visible {
    opacity: 1;
    transform: translate(0, 0);
}

/* navbar */
.navbar {
    background-color: var(--main);
}

.navbar a {
    color: white;
}

/* jumbotron */
.jumbotron {
    background: url("https://res.cloudinary.com/dpjdvsigb/image/upload/v1594764618/Jordan_Chude_Williams_Press_Photo_han403.jpg");
    background-size: cover;
    background-position: center;
    color: white;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: center;
    height: 50vh;
    padding: 0 0 2% 0;
    text-align: center;
    text-shadow: 1px 1px 1px black;
}

.jumbotron-titles {
    font-size: 20px;
}

.about {
    display: none;
}

.jumbotron-button {
    background: var(--main);
    color: white;
}

.jumbotron-button:hover {
    color: var(--secondary);
}

/* skills */
.skill-main {
    background: var(--secondary);
    padding-top: 2%;
    padding-bottom: 2%;
    text-align: center;
}

.skill-main .card {
    border: 3px solid var(--main);
    border-radius: 7px;
}

.skills-header {
    color: var(--main);
    text-shadow: 1px 1px 1px black;
}

.skill-card-header {
    background: var(--main);
    color: white;
}

.skill-body {
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: 0px 10px 0px 10px;
    padding: 20px 0px 20px 0px;
}

.middle-skill {
    margin-top: 10px;
    margin-bottom: 10px;
}

.list-group li {
    border-style: none;
}

/* projects */
.projects-main {
    padding-top: 2%;
    padding-bottom: 2%;
    background: var(--main);
}

.projects-header { 
    color: var(--secondary);
    text-align: center;
    text-shadow: 1px 1px 1px black;
}

.project-card {
    height: 95%;
    margin-bottom: 15px;
    border: 3px solid var(--secondary);
}

.projects-body {
    display: flex;
    justify-content: center;
    padding: 20px 0px 20px 0px;
}

.projects-buttons {
    margin-right: 10px;
    background: var(--main);
    border-style: none;
    color: white;
}

.projects-buttons:hover {
    background: var(--secondary);
    border: 1px solid var(--main);
    color: var(--main);
    margin-right: 10px;
}

/* contact */
form {
    background: var(--main);
    border-radius: 20px;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    padding: 2%;
    min-width: 250px;
    width: 25%;
}

.form-input {
    border: 3px solid var(--secondary);
    margin-bottom: 20px;
}

.contact-header {
    color: var(--main);
    text-shadow: 1px 1px 1px black;
}
.contact-div {
    display: flex;
    justify-content: center;
    padding: 20px 0px 20px 0px;
}

.contact-button {
    background: var(--secondary);
    color: var(--main);
}

.contact-button:hover {
    background: var(--main);
    border: 1px solid var(--secondary);
    color: var(--secondary);
}

#contact-form {
    background: var(--secondary);
    text-align: center;
    padding-top: 2%;
    padding-bottom: 2%;
}

/* footer */
footer {
    align-items: center;
    background: var(--main);
    color: white;
    display: grid;
    grid-template-rows: repeat(2, 50px);
    grid-template-columns: auto;
    grid-template-areas: "instagram twitter linkedin github"
                         "footer-name footer-name footer-name footer-name";
    justify-content: center;
    text-align: center;
}

footer a {
    color: white;
}

footer a:hover {
    color: var(--secondary);
}

.footer-name {
    color: white;
    font-size: 1.3rem;
    grid-area: footer-name;
}

.fa-instagram {
    grid-area: instagram;
}

.fa-twitter {
    grid-area: twitter;
}

.fa-linkedin {
    grid-area: linkedin;
}

.fa-github {
    grid-area: github;
}

/* media query */
@media (min-width: 768px) {
    /* navbar */
    .nav-contact {
        border: 1px solid white;
        border-radius: 50px;
    }

    /* jumbotron */
    .jumbotron-titles {
        font-size: 23px;
    }

    .about {
        display: block;
        font-size: 16px;
    }
    
    /* skills */
    .middle-skill {
        margin-top: 0px;
        margin-bottom: 0px;
    }

    /* projects */
    .project-card {
        margin-bottom: 15px;
    }
}